Module org.hsqldb
Package org.hsqldb.lib

## Class ArrayListIdentity<E>

- java.lang.Object
- - org.hsqldb.lib.HsqlArrayList<E>
  - - org.hsqldb.lib.ArrayListIdentity<E>

- All Implemented Interfaces:
    `Collection<E>`, `List<E>`

      public class ArrayListIdentity<E>
      extends HsqlArrayList<E>

  Extends HsqlArrayList. All search methods use Object identity for equality comparison.
  Since:
    2.0.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayListIdentity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addAll​(E[] array)` |
    `boolean` | `addAll​(Collection<? extends E> other)` |
    `boolean` | `contains​(java.lang.Object element)` |
    `boolean` | `isEmpty()` |
    `Iterator<E>` | `iterator()` |
    `boolean` | `remove​(java.lang.Object element)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.hsqldb.lib.HsqlArrayList

      `add, add, clear, get, getArray, indexOf, lastIndexOf, remove, set, setSize, size, sort, toArray, toArray, toArraySlice, trim`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.hsqldb.lib.Collection

      `addAll, contains, remove`

    - ### Methods inherited from interface org.hsqldb.lib.List

      `isEmpty, iterator`

- - ### Constructor Detail

    - #### ArrayListIdentity

          public ArrayListIdentity()

  - ### Method Detail

    - #### contains

          public boolean contains​(java.lang.Object element)

    - #### remove

          public boolean remove​(java.lang.Object element)

    - #### addAll

          public boolean addAll​(Collection<? extends E> other)

    - #### addAll

          public boolean addAll​(E[] array)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### iterator

          public Iterator<E> iterator()